cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

EOS Utility .Net Framework warning

JMcKinnon1966
Contributor

When I connect my eos rebel t6 and try to start eos utility version 3 I get a Net. Framework error message. What do I do?

13 REPLIES 13

Anonymous
Not applicable

"Yes and Yes"

What is the error message that you are getting when you start EOS Utility?

If you are seeing a dialog box to install the .NET Framework when the error occurs, are you clicking yes to install it? Also, did you try to re-install the EOS Utility? Usually when a program installation requires .NET Framework, it will offer to download and install it for you, if you allow it.

 

this-application-could-not-be-started.png

So, have you installed it? Or does the installation not work?

Waddizzle
Legend
Legend

Sounds like your OS installation is corrupt, to me.  Windows 10/11 rely on the .NET Framework to run properly.  Let me put it this way.  The OS is written in .NET.

--------------------------------------------------------
"The right mouse button is your friend."

shadowsports
Legend
Legend

I attempted to provide clear instructions. 

If you are running windows 11, it includes .Net Framework v4.8.  Try running the repair tool above. *(you are not running windows 11)

If you are running an earlier version of windows, see the following:

The second link I provided allows you to install .Net

Looks like you are being prompted to install it when running the App as well.  The app will not run without it.  

If installing .Net 4.7.1 or later does not resolve the application start issue, you have another problem as Waddizzle mentions. 

~Rick
Bay Area - CA


~R5 C (1.0.6.1) ~RF Trinity, ~RF 100 Macro, ~RF 100~400, ~RF 100~500, +RF 1.4x TC, +Canon Control Ring, BG-R10

~DxO PhotoLab Elite ~DaVinci Resolve ~Windows11 Pro ~ImageClass MF644Cdw/MF656Cdw ~Pixel 8 ~CarePaks Are Worth It
Avatar
click here to view the press release
Announcements